Subject: Re: [PATCH] powerpc/pseries: Add POWER8NVL support to ibm,client-architecture-support call

From: Balbir Singh <[email-masked]>
Date: Wed, 8 Jun 2016 11:14:16 +1000

On 31/05/16 20:32, Michael Ellerman wrote:
> On Tue, 2016-05-31 at 12:19 +0200, Thomas Huth wrote:
>> On 31.05.2016 12:04, Michael Ellerman wrote:
>>> On Tue, 2016-05-31 at 07:51 +0200, Thomas Huth wrote:
>>>> If we do not provide the PVR for POWER8NVL, a guest on this
>>>> system currently ends up in PowerISA 2.06 compatibility mode on
>>>> KVM, since QEMU does not provide a generic PowerISA 2.07 mode yet.
>>>> So some new instructions from POWER8 (like "mtvsrd") get disabled
>>>> for the guest, resulting in crashes when using code compiled
>>>> explicitly for POWER8 (e.g. with the "-mcpu=power8" option of GCC).
>>>>
>>>> Signed-off-by: Thomas Huth <[email-masked]>
>>>
>>> So this should say:
>>>
>>>   Fixes: ddee09c099c3 ("powerpc: Add PVR for POWER8NVL processor")
>>>
>>> And therefore:
>>>
>>>   Cc: [email-masked] # v4.0+
>>>
>>> Am I right?
>>
>> Right. (At least for virtualized systems ... for bare-metal systems,
>> that original patch was enough). So shall I resubmit my patch with these
>> two lines, or could you add them when you pick this patch up?
> 
> Thanks, I'll add them here.

Don't we need to update IBM_ARCH_VEC_NRCORES_OFFSET as well?

Balbir Singh